Resource

Workflow Variable

Store environment variables or secrets for your workflows.

The Workflow Variable Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    workflow
    Type
    Workflow
    Description

    Workflow this variable belong to. If this is null then this variable will be a global variable

  • Name
    workflowId
    Type
    Object ID
    Description

    ID of Workflow this variable belong to. If this is null then this variable will be a global variable

  • Name
    name
    Type
    TextRequired
    Description

    Variable Name

  • Name
    description
    Type
    Long Text
    Description

    Friendly description that will help you remember

  • Name
    content
    Type
    Very Long TextRequired
    Description

    Content of the variable

  • Name
    isSecret
    Type
    BooleanRequired
    Description

    Is this variable a secret. If true, then it'll not be in the logs

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/workflow-variable/get-list

List

This endpoint allows you to retrieve a paginated list of all your Workflow Variable. By default, a maximum of ten Workflow Variable are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/workflow-variable/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "isSecret": true,
    "name": true,
    "projectId": true,
    "_id": true,
    "createdAt": true
  },
  "query": {
    "content": "Example content"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "378010a0-28fe-11f1-b591-3fdcef396aba",
      "isSecret": true,
      "name": "Example name",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z"
    },
    {
      "_id": "378010a1-28fe-11f1-b591-3fdcef396aba",
      "isSecret": true,
      "name": "Example name",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z"
    },
    {
      "_id": "378010a2-28fe-11f1-b591-3fdcef396aba",
      "isSecret": true,
      "name": "Example name",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z"
    }
  ]
}
GETorPOST/api/workflow-variable/:id/get-item

Get item by ID

This endpoint allows you to retrieve Workflow Variable by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/workflow-variable/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "isSecret": true,
    "name": true,
    "projectId": true,
    "_id": true,
    "createdAt": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "isSecret": true,
  "name": "Example name",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
POST/api/workflow-variable/count

Count

This endpoint allows you to retrieve the count of all your Workflow Variable.

Optional Request Body

Count Request

POST
/api/workflow-variable/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "content": "Example content"
  }
}

Response

{
  "count": 107
}
POST/api/workflow-variable

Create Workflow Variable

This endpoint allows you to create a new object.

Create Request

POST
/api/workflow-variable
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "content": "Example content",
    "isSecret": true,
    "name": "Example name",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "createdByUser": "Example created by user"
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "isSecret": true,
  "name": "Example name",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
PUT/api/workflow-variable/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/workflow-variable/:id/update-item
GET/api/workflow-variable/:id/update-item

Update Request

PUT
/api/workflow-variable/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "content": "Example content",
    "name": "Example name",
    "description": "Example description"
  }
}

Response

{}
DELETE/api/workflow-variable/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/workflow-variable/:id/delete-item
GET/api/workflow-variable/:id/delete-item

Delete Request

DELETE
/api/workflow-variable/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Workflow Variable

  • Project Owner
  • Project Admin
  • Project Member
  • Read Workflow Variables
  • Read All Project Resources

Create Permissions

Required to create Workflow Variable

  • Project Owner
  • Project Admin
  • Create Workflow Variables

Update Permissions

Required to update Workflow Variable

  • Project Owner
  • Project Admin
  • Edit Workflow Variables

Delete Permissions

Required to delete Workflow Variable

  • Project Owner
  • Project Admin
  • Delete Workflow Variables